Page MenuHomePhabricator

Revisit different color of links for internal (inner-domain) and interwiki/external links
Closed, DuplicatePublic

Description

With the overhauled WikimediaUI color palette, we've identified and set our main accent blue to #36c.

Our current Vector/MinervaNeue style doesn't only feature one different tone, it makes a differentiation in color between internal (both, same-page links like from TOC as inner-domain links on en.wikipedia.org to other en.wikipedia.org pages) and interwiki (f.e. other language wikis) or external website links.
@Quiddity has provided a collection of those links. Screenshot

In my opinion, all links should be treated equally in shade, because

  • the slight color difference might either not be realized at all, questioning the reason for it first-place or
  • imposes rather confusion than actual help for majority of users, see for example user statement at T63557
  • there's due to color system limitations it's pretty much impossible to find colors that are distinct enough from running text and distinct enough from each other
  • we would still feature an icon for external links to indicate them, which is – in contrast to color – a good indicator

See also:

Event Timeline

Volker_E created this task.Oct 24 2017, 2:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2017, 2:42 AM

Some sort of A/B testing on this would be great specially because clickablity of links are easily measurable.

Change 419533 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Update link color for Minerva skin

https://gerrit.wikimedia.org/r/419533

Change 419533 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Update link color for Minerva skin

https://gerrit.wikimedia.org/r/419533

To add two important points from discussion elsewhere...

  1. Someone noted that:

the link color difference is often confusing for outsiders. At the same time it is appreciated by insiders, because it simplifies recognizing when you go offsite (and an interwiki is offsite, because it's where the governance of the local wiki ends)

As an editor, I greatly appreciate the color difference, and would want to retain it.
As a reader (with advanced knowledge of this nuance), I sometimes appreciate it, because it helps me identify where someone has linked to Wiktionary or Wikisource or similar within the text of an article, which might change the probability of my clicking through. It also gives me a clue as to why Page Previews or Navpopups isn't working for a link.

  1. Note that all the sites included in https://meta.wikimedia.org/wiki/Special:Interwiki are counted as (and can be linked as) interwiki sites. "Interwiki" is not a clear separation between Wikimedia sites and non-Wikimedia sites.

As an editor, I greatly appreciate the color difference, and would want to retain it.

I do agree we need to differentiate the links but our design guideline says color should not be the only indicator for certain functionality which i think fits this context. also this is very subtle difference which is hard to distinguish for a lot of people.

We are proposing icons for offsite and interwiki links both. details here - T190549: Differentiate between internal, sister-wiki, interwiki, and external links visually

Started writing this before @Nirzar's comment. The are big issues with both, the color difference, that it is very low (contrast ratio of 1.53:1 with “normal” links, visited has got 1.86:1 to normal in comparison, for future link states we're aiming higher.) and the list with a wild mix of “interwiki”s, feel not significant/clear enough to possibly even irritating from an normal user's perspective.
That seems for me better located in a gadget than a feature for all our users.

How do you plan to really distinguish visited links from others?

TheDJ added a comment.EditedApr 4 2018, 12:50 PM

I have created T191405: Mark interwiki links as external links when they fall outside the WMF family for the issue mentioned by @Quiddity regarding separating interwiki links into external and inter wiki family links.

Krinkle added a subscriber: Krinkle.
Krinkle updated the task description. (Show Details)Apr 23 2018, 7:30 PM
Jdlrobson triaged this task as Low priority.Nov 29 2018, 11:45 PM
Jdlrobson raised the priority of this task from Low to Needs Triage.
alexhollender triaged this task as Normal priority.Dec 18 2018, 11:37 PM
alexhollender added a subscriber: Jdlrobson.

@Jdlrobson do you think it would make sense to merge this with T190549?

@alexhollender makes sense to me (or vice versa). What do you think @Volker_E ?

Tbh, I'd prefer to see them tackled and resolved at the same time, but not merged. It's two separate issues code-wise, with different product rollouts (assumingly).

@Volker_E can you clarify the difference between them for my understanding?

@alexhollender Ignore my comment above, they are caring about one and the same issue, just latter started with mobile. Please make sure that we don't loose discussion points and links when merging.

If you do merge it, I suggest changing the title of that task to: Differentiate between internal, sister-wiki, interwiki, and external links visually

Also here's a pointer to a related pair of comments at https://meta.wikimedia.org/wiki/Talk:Interwiki_map#rendering/distinction_between_internal_and_external_links